Bug 1130379 - [Doc]no manual about metadata command in virsh manual
Summary: [Doc]no manual about metadata command in virsh manual
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.1
Hardware: x86_64
OS: All
low
low
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 04:52 UTC by Luyao Huang
Modified: 2015-03-05 07:42 UTC (History)
7 users (show)

Fixed In Version: libvirt-1.2.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 07:42:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Description Luyao Huang 2014-08-15 04:52:51 UTC
Description of problem:
no manual about metadata command in virsh manual

Version-Release number of selected component (if applicable):
libvirt-1.2.7-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# virsh -h |grep metadata
    metadata                       show or set domain's custom XML metadata

2.# virsh metadata --help
  NAME
    metadata - show or set domain's custom XML metadata

  SYNOPSIS
    metadata <domain> [--live] [--config] [--current] [--edit] <uri> [<key>] [<set>] [--remove]

  DESCRIPTION
    Shows or modifies the XML metadata of a domain.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --live           modify/get running state
    --config         modify/get persistent configuration
    --current        modify/get current state configuration
    --edit           use an editor to change the metadata
    [--uri] <string>  URI of the namespace
    [--key] <string>  key to be used as a namespace identifier
    [--set] <string>  new metadata to set
    --remove         remove the metadata corresponding to an uri



3.search in manual of virsh
# man virsh

 

Actual results:
Can't find help for metadata command



Expected results:
Add some manual for metadata in virsh manual

Comment 2 Peter Krempa 2014-08-18 07:19:33 UTC
Fixed upstream:

commit 992318cbee83dc381c44acfdfdecfb2607279e25
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Aug 15 17:08:29 2014 +0200

    man: virsh: Add man page for "virsh metadata"
    
    Patch adding the command forgot to add the man page entry.

v1.2.7-141-g992318c

Comment 4 zhengqin 2014-09-10 05:20:06 UTC
Verified with build libvirt-1.2.8-1.el7.x86_64:


[root@rhel7-a1 ~]# virsh metadata --help
  NAME
    metadata - show or set domain's custom XML metadata

  SYNOPSIS
    metadata <domain> [--live] [--config] [--current] [--edit] <uri> [<key>] [<set>] [--remove]

  DESCRIPTION
    Shows or modifies the XML metadata of a domain.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --live           modify/get running state
    --config         modify/get persistent configuration
    --current        modify/get current state configuration
    --edit           use an editor to change the metadata
    [--uri] <string>  URI of the namespace
    [--key] <string>  key to be used as a namespace identifier
    [--set] <string>  new metadata to set
    --remove         remove the metadata corresponding to an uri


[root@rhel7-a1 ~]#man virsh
metadata domain [[--live] [--config] | [--current]] [--edit] [uri] [key] [set] [--remove]
           Show or modify custom XML metadata of a domain. The metadata is a user defined XML that allows to store arbitrary XML data in the domain definition.  Multiple separate custom metadata pieces can be stored in the domain
           XML.  The pieces are identified by a private XML namespace provided via the uri argument. (See also desc that works with textual metadata of a domain.)

           Flags --live or --config select whether this command works on live or persistent definitions of the domain. If both --live and --config are specified, the --config option takes precedence on getting the current
           description and both live configuration and config are updated while setting the description. --current is exclusive and implied if none of these was specified.

           Flag --remove specifies that the metadata element specified by the uri argument should be removed rather than updated.

           Flag --edit specifies that an editor with the metadata identified by the uri argument should be opened and the contents saved back afterwards.  Otherwise the new contents can be provided via the set argument.

           When setting metadata via --edit or set the key argument must be specified and is used to prefix the custom elements to bind them to the private namespace.

           If neither of --edit and set are specified the XML metadata corresponding to the uri namespace is displayed instead of being modified.

Comment 5 Song Wang 2014-12-15 06:02:43 UTC
[root@localhost libvirt]# rpm -q libvirt
libvirt-1.2.8-10.el7.x86_64


[root@localhost libvirt]# virsh metadata --help
  NAME
    metadata - show or set domain's custom XML metadata

  SYNOPSIS
    metadata <domain> [--live] [--config] [--current] [--edit] <uri> [<key>] [<set>] [--remove]

  DESCRIPTION
    Shows or modifies the XML metadata of a domain.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    --live           modify/get running state
    --config         modify/get persistent configuration
    --current        modify/get current state configuration
    --edit           use an editor to change the metadata
    [--uri] <string>  URI of the namespace
    [--key] <string>  key to be used as a namespace identifier
    [--set] <string>  new metadata to set
    --remove         remove the metadata corresponding to an uri

[root@localhost libvirt]# man virsh 
...........
  metadata domain [[--live] [--config] | [--current]] [--edit] [uri] [key] [set] [--remove]
           Show or modify custom XML metadata of a domain. The metadata is a user defined XML
           that allows to store arbitrary XML data in the domain definition.  Multiple separate
           custom metadata pieces can be stored in the domain XML.  The pieces are identified by
           a private XML namespace provided via the uri argument. (See also desc that works with
           textual metadata of a domain.)

           Flags --live or --config select whether this command works on live or persistent
           definitions of the domain. If both --live and --config are specified, the --config
           option takes precedence on getting the current description and both live configuration
           and config are updated while setting the description. --current is exclusive and
           implied if none of these was specified.

           Flag --remove specifies that the metadata element specified by the uri argument should
           be removed rather than updated.

           Flag --edit specifies that an editor with the metadata identified by the uri argument
           should be opened and the contents saved back afterwards.  Otherwise the new contents
           can be provided via the set argument.

           When setting metadata via --edit or set the key argument must be specified and is used
           to prefix the custom elements to bind them to the private namespace.

           If neither of --edit and set are specified the XML metadata corresponding to the uri
           namespace is displayed instead of being modified.
.......

bug is fixed .

Comment 7 errata-xmlrpc 2015-03-05 07:42:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.